/***************************************************************************
 *   Copyright (C) 2004 by Janos Toberling                                 *
 *   tobi54@users.sourceforge.net                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "maindlg.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "matdata.h"


static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

/**
 * Program main loop. Calls KApplication->exec() method.
 * @param argc Counter of the command line paramerters. (Not used.)
 * @param argv The command line paramerter vector. (Not used)
 * @return The exit code of KApplication->exec().
 */
int main(int argc, char **argv)
{
    KAboutData about("kpolynome", I18N_NOOP("kpolynome"), version, description,
                     KAboutData::License_GPL, "(C) 2004 Janos Toberling", 0, 0, "tobi54@users.sourceforge.net");
    about.addAuthor( "Janos Toberling", 0, "tobi54@users.sourceforge.net" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    maindlg *mainWin = 0;

    matdata *matData;

    matData = new matdata();

    mainWin = new maindlg();

    mainWin->init_matdata(matData);

    app.setMainWidget( mainWin );
    mainWin->show();


    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

